#include "stdafx.h"

#define XP_NOERROR	 0 //return code - no error
#define XP_ERROR	   1 //return code - error
#define MAXCOLDATA	20 //maximum length of column data

#ifdef __cplusplus
extern "C" {
#endif
RETCODE __declspec(dllexport) xp_helloworld3(SRV_PROC* srvproc);
#ifdef __cplusplus
}
#endif

//Automatically link to the ODS lib file
#pragma comment(lib, "Opends60.lib")

//return ODS version
__declspec(dllexport) ULONG __GetXpVersion()
{
  return ODS_VERSION;
}

RETCODE __declspec(dllexport) xp_helloworld3(SRV_PROC* srvproc)
{
  //Define the column name
  DBCHAR* colname = "Hello";
  srv_describe(srvproc, 1, colname, SRV_NULLTERM, SRVCHAR, MAXCOLDATA, SRVCHAR, 0, NULL);

  //Update field 1
  DBCHAR OutputData[MAXCOLDATA];
  strcpy(OutputData, "Hello"); //store column data for first row
  srv_setcoldata(srvproc, 1, OutputData);
  srv_setcollen(srvproc, 1, strlen(OutputData));

  //Send the row
  srv_sendrow(srvproc);

  //Update field 1
  strcpy(OutputData, "dear");
  srv_setcoldata(srvproc, 1, OutputData);
  srv_setcollen(srvproc, 1, strlen(OutputData));

  //Send the row
  srv_sendrow(srvproc);

  //Update field 1
  strcpy(OutputData, "World!");
  srv_setcoldata(srvproc, 1, OutputData);
  srv_setcollen(srvproc, 1, strlen(OutputData));

  //send rowset
  srv_sendrow(srvproc);
 
  //Now return the number of rows processed
  srv_senddone(srvproc, SRV_DONE_MORE | SRV_DONE_COUNT, (DBUSMALLINT)0, 3);
  
  //We got this far so return success
  return XP_NOERROR;
}
