--Sample code for testing xp_palindrome

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('xp_palindrome') IS NOT NULL
	BEGIN
	DBCC xp_palindrome(FREE)
	EXEC master..sp_dropextendedproc 'xp_palindrome'
	END

--2) Copy xp_palindrome.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'xp_palindrome', 'xp_palindrome.dll'

--Testing the XP
DECLARE @result bit
EXEC master..xp_palindrome '121', @result OUT
PRINT @result
EXEC master..xp_palindrome '1221', @result OUT
PRINT @result
EXEC master..xp_palindrome N'12321', @result OUT
PRINT @result
EXEC master..xp_palindrome 123454321, @result OUT
PRINT @result
EXEC master..xp_palindrome 1234.4321, @result OUT
PRINT @result
EXEC master..xp_palindrome 0x010201, @result OUT
PRINT @result
EXEC master..xp_palindrome 0x0102030201, @result OUT
PRINT @result

EXEC master..xp_palindrome '123', @result OUT
PRINT @result
EXEC master..xp_palindrome '1231', @result OUT
PRINT @result
EXEC master..xp_palindrome N'11321', @result OUT
PRINT @result
EXEC master..xp_palindrome 12454321, @result OUT
PRINT @result
EXEC master..xp_palindrome 123.4321, @result OUT
PRINT @result
EXEC master..xp_palindrome 0x01020301, @result OUT
PRINT @result
EXEC master..xp_palindrome 0x010102030201, @result OUT
PRINT @result

