﻿USE master

--Sample code for testing XP_SAVEFILE

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_SAVEFILE') IS NOT NULL
	BEGIN
	DBCC XP_FILE(FREE)
	EXEC sp_dropextendedproc 'XP_SAVEFILE'
	END

if OBJECT_ID('XP_READFILE') IS NOT NULL
	BEGIN
	DBCC XP_FILE(FREE)
	EXEC sp_dropextendedproc 'XP_READFILE'
	END



--2) Copy XP_SAVEFILE.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC sp_addextendedproc 'XP_SAVEFILE', 'XP_FILE.dll'
EXEC sp_addextendedproc 'XP_READFILE', 'XP_FILE.dll'

--Testing the XP
DECLARE @CapTest varchar(20)
EXEC master..XP_SAVEFILE 'c:\z1.txt', 'hi'
EXEC master..XP_READFILE 'c:\z1.txt', @CapTest OUT
PRINT @CapTest
