
--Sample code for testing XP_DISKSPACE

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_CPUUSAGE') IS NOT NULL
	BEGIN
	DBCC XP_CPUUSAGE(FREE)
	EXEC master..sp_dropextendedproc 'XP_CPUUSAGE'
	END

--2) Copy XP_CPUUSAGE.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'XP_CPUUSAGE', 'XP_CPUUSAGE.dll'

--Testing the XP
DECLARE @CPUUsage int
EXEC master..XP_CPUUSAGE
EXEC master..XP_CPUUSAGE 500, @CPUUsage OUTPUT
PRINT 'CPU Utilization is ' + CAST(@CPUUsage AS varchar) + '%'
