
--Sample code for testing XP_DISKLOG

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_DISKLOG') IS NOT NULL
	BEGIN
	DBCC XP_DISKLOG(FREE)
	EXEC master..sp_dropextendedproc 'XP_DISKLOG'
	END

--2) Copy XP_DISKLOG.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'XP_DISKLOG', 'XP_DISKLOG.dll'

--Testing the XP
--EXEC master..XP_DISKLOG
DECLARE @Filename nvarchar(1000)
SELECT @Filename = 'c:\SampleDiskLogAAAAAAAAAAAA %h_%i_%s_%z_%a_%A_%b_%B_%d_%j_%m_%U_%w_%y %#h_%#i_%#s_%#z_%#d_%#j_%#m_%#U_%#x_%#y_#1_%#Y_%Y_%K.txt'

DECLARE @Message nvarchar(1000)
SELECT @Message = '%h_%i_%s_%z_%a_%A_%b_%B_%d_%j_%m_%U_%w_%x_%y %#h_%#i_%#s_%#z_%#d_%#j_%#m_%#U_%#x_%#y_#1_%#Y_%Y_%K Hello World'

DECLARE @UnicodeMessage int
SELECT @UnicodeMessage = 1

DECLARE @GMT int
SELECT @GMT = 0

DECLARE @LocaleID int
--SELECT @LocaleID = 1036 --1036 is French (French Locale) with default sorting
SELECT @LocaleID = 2048 --2048 is the System Default Locale
EXEC master..XP_DISKLOG @Filename, @Message, @UnicodeMessage, @GMT, @LocaleID








