
--Sample code for testing XP_DISKSPACE

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_DISKSPACE') IS NOT NULL
	BEGIN
	DBCC XP_DISKSPACE(FREE)
	EXEC master..sp_dropextendedproc 'XP_DISKSPACE'
	END

--2) Copy XP_DISKSPACE.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'XP_DISKSPACE', 'XP_DISKSPACE.dll'

--Testing the XP
DECLARE @SpaceLeft int
EXEC master..XP_DISKSPACE
EXEC master..XP_DISKSPACE 'C:', @SpaceLeft OUTPUT
PRINT 'Space left on Drive C is ' + CAST(@SpaceLeft AS varchar) + ' MB'
