#ifndef __XP_INIPROCS_H__

///////////////////// Includes ////////////////////////////////////////////////

#include "..\xp++\xp_pp.h"



//////////////////// Classes /////////////////////////////////////////

#include "..\xp++\xp_pp.h"

class CIniWriteStringExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  DECLARE_XP_PARAMETERS();
};

class CIniWriteIntegerExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  DECLARE_XP_PARAMETERS();
};

class CIniReadStringExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  DECLARE_XP_PARAMETERS();
};

class CIniReadIntegerExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  DECLARE_XP_PARAMETERS();
};

class CIniGetSectionsExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  void ReturnRecordSet(LPTSTR pszString);

  DECLARE_XP_PARAMETERS();
};

class CIniReadSectionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  void ReturnRecordSet(LPTSTR pszString);

  DECLARE_XP_PARAMETERS();
};

class CIniDeleteSectionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  DECLARE_XP_PARAMETERS();
};

class CIniDeleteKeyExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  DECLARE_XP_PARAMETERS();
};

class CIniGetKeysExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();

  void ReturnRecordSet(LPTSTR pszString);
  
  DECLARE_XP_PARAMETERS();
};

class CIniWriteExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
  
  DECLARE_XP_PARAMETERS();
};

class CIniReadExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();

protected:
  static int HexToInt(TCHAR ch);
  
  DECLARE_XP_PARAMETERS();
};

#endif //__XP_INIPROCS_H__
