USE master

--Sample code for testing XP_IPCONFIG

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_IPCONFIG') IS NOT NULL
	BEGIN
	DBCC XP_IPCONFIG(FREE)
	EXEC sp_dropextendedproc 'XP_IPCONFIG'
	END


--2) Copy XP_IPCONFIG.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC sp_addextendedproc 'XP_IPCONFIG', 'XP_IPCONFIG.dll'

--Testing the XP
EXEC master..XP_IPCONFIG     --Call the terse version, similiar to "IPCONFIG" from the command line
EXEC master..XP_IPCONFIG 1   --call the verbose version, similiar to "IPCONFIG /ALL" from the command line
