#ifndef __XP_NOTIFYPROCS_H__

///////////////////// Includes ////////////////////////////////////////////////

#include "..\xp++\xp_pp.h"



//////////////////// Classes /////////////////////////////////////////

class CMessageBeepExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Methods
  virtual BOOL Run();  //Override to do the real work of this XP

protected:
//member variables
  UINT m_nType;        //The value to be used in the call to MessageBeep
};

class CSimpleMessageBeepExtendedStoredProcedure : public CMessageBeepExtendedStoredProcedure
{
public:
//Constructors / Destructors 
  CSimpleMessageBeepExtendedStoredProcedure();

  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CIconAsteriskMessageBeepExtendedStoredProcedure : public CMessageBeepExtendedStoredProcedure
{
public:
//Constructors / Destructors 
  CIconAsteriskMessageBeepExtendedStoredProcedure();

  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CIconExclamationMessageBeepExtendedStoredProcedure : public CMessageBeepExtendedStoredProcedure
{
public:
//Constructors / Destructors 
  CIconExclamationMessageBeepExtendedStoredProcedure();

  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CIconHandMessageBeepExtendedStoredProcedure : public CMessageBeepExtendedStoredProcedure
{
public:
//Constructors / Destructors 
  CIconHandMessageBeepExtendedStoredProcedure();

  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CIconQuestionMessageBeepExtendedStoredProcedure : public CMessageBeepExtendedStoredProcedure
{
public:
//Constructors / Destructors 
  CIconQuestionMessageBeepExtendedStoredProcedure();

  virtual void DisplayUsage(); //Override used to display help about this XP
};

class COkMessageBeepExtendedStoredProcedure : public CMessageBeepExtendedStoredProcedure
{
public:
//Constructors / Destructors 
  COkMessageBeepExtendedStoredProcedure();

  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CBeepExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  virtual BOOL Run();  //Override to do the real work of this XP

  virtual void DisplayUsage(); //Override used to display help about this XP

  DECLARE_XP_PARAMETERS()
};

class CPlaySoundFileExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  virtual BOOL Run();  //Override to do the real work of this XP

  virtual void DisplayUsage(); //Override used to display help about this XP

  DECLARE_XP_PARAMETERS()
};

class CPlaySoundAliasExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  virtual BOOL Run();  //Override to do the real work of this XP

  virtual void DisplayUsage(); //Override used to display help about this XP

  DECLARE_XP_PARAMETERS()
};

class CStopSoundExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  virtual BOOL Run();  //Override to do the real work of this XP

  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CPlaySoundMemoryExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  virtual BOOL Run();  //Override to do the real work of this XP

  virtual void DisplayUsage(); //Override used to display help about this XP

  DECLARE_XP_PARAMETERS()
};

#endif //__XP_NOTIFYPROCS_H__
