--Sample code for testing XP_NTLOG

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_NTLOG_ERROR') IS NOT NULL
	BEGIN
	DBCC XP_NTLOG(FREE)
	EXEC master..sp_dropextendedproc 'XP_NTLOG_ERROR'
	END

if OBJECT_ID('XP_NTLOG_WARNING') IS NOT NULL
	BEGIN
	DBCC XP_NTLOG(FREE)
	EXEC master..sp_dropextendedproc 'XP_NTLOG_WARNING'
	END

if OBJECT_ID('XP_NTLOG_INFORMATIONAL') IS NOT NULL
	BEGIN
	DBCC XP_NTLOG(FREE)
	EXEC master..sp_dropextendedproc 'XP_NTLOG_INFORMATIONAL'
	END

if OBJECT_ID('XP_NTLOG_INSTALL') IS NOT NULL
	BEGIN
	DBCC XP_NTLOG(FREE)
	EXEC master..sp_dropextendedproc 'XP_NTLOG_INSTALL'
	END

if OBJECT_ID('XP_NTLOG_UNINSTALL') IS NOT NULL
	BEGIN
	DBCC XP_NTLOG(FREE)
	EXEC master..sp_dropextendedproc 'XP_NTLOG_UNINSTALL'
	END

--2) Copy XP_NTLOG.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'XP_NTLOG_ERROR', 'XP_NTLOG.dll'
EXEC master..sp_addextendedproc 'XP_NTLOG_WARNING', 'XP_NTLOG.dll'
EXEC master..sp_addextendedproc 'XP_NTLOG_INFORMATIONAL', 'XP_NTLOG.dll'
EXEC master..sp_addextendedproc 'XP_NTLOG_INSTALL', 'XP_NTLOG.dll'
EXEC master..sp_addextendedproc 'XP_NTLOG_UNINSTALL', 'XP_NTLOG.dll'

--Testing the XP
--EXEC master..XP_NTLOG_INSTALL
--EXEC master..XP_NTLOG_UNINSTALL
--EXEC master..XP_NTLOG_ERROR
--EXEC master..XP_NTLOG_WARNING
--EXEC master..XP_NTLOG_INFORMATIONAL
--EXEC master..XP_NTLOG_UNINSTALL 'XP_NTLOG Sample'
EXEC master..XP_NTLOG_INSTALL 'XP_NTLOG Sample'
EXEC master..XP_NTLOG_ERROR 'XP_NTLOG Sample', 'Hello there Event Log, this should be an error'
EXEC master..XP_NTLOG_WARNING 'XP_NTLOG Sample', 'Hello there Event Log, this should be a warning'
EXEC master..XP_NTLOG_INFORMATIONAL 'XP_NTLOG Sample', 'Hello there Event Log, this should be informational'








