--Sample code for testing XP_RAND

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_RAND') IS NOT NULL
	BEGIN
	DBCC XP_RAND(FREE)
	EXEC sp_dropextendedproc 'XP_RAND'
	END


--2) Copy XP_RAND.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC sp_addextendedproc 'XP_RAND', 'XP_RAND.dll'

--Testing the XP
EXEC master..XP_RAND

DECLARE @RandomData bigint
EXEC master..XP_RAND @RandomData OUTPUT
PRINT @RandomData

DECLARE @RandomData2 varbinary(2)
EXEC master..XP_RAND @RandomData2 OUTPUT
PRINT @RandomData2

DECLARE @RandomData3 binary
EXEC master..XP_RAND @RandomData3 OUTPUT
PRINT @RandomData3

DECLARE @RandomData4 varchar
EXEC master..XP_RAND @RandomData4 OUTPUT
PRINT @RandomData4

DECLARE @RandomData5 bit
EXEC master..XP_RAND @RandomData5 OUTPUT
PRINT @RandomData5

DECLARE @RandomData6 char
EXEC master..XP_RAND @RandomData6 OUTPUT
PRINT @RandomData6

DECLARE @RandomData7 decimal
EXEC master..XP_RAND @RandomData7 OUTPUT
PRINT @RandomData7

DECLARE @RandomData8 real
EXEC master..XP_RAND @RandomData8 OUTPUT
PRINT @RandomData8

DECLARE @RandomData9 float
EXEC master..XP_RAND @RandomData9 OUTPUT
PRINT @RandomData9

DECLARE @RandomData10 tinyint
EXEC master..XP_RAND @RandomData10 OUTPUT
PRINT @RandomData10

DECLARE @RandomData11 smallint
EXEC master..XP_RAND @RandomData11 OUTPUT
PRINT @RandomData11

DECLARE @RandomData12 int
EXEC master..XP_RAND @RandomData12 OUTPUT
PRINT @RandomData12

DECLARE @RandomData13 smallmoney
EXEC master..XP_RAND @RandomData13 OUTPUT
PRINT CONVERT(varchar(100), @RandomData13)

DECLARE @RandomData14 money
EXEC master..XP_RAND @RandomData14 OUTPUT
PRINT CONVERT(varchar(100), @RandomData14)

DECLARE @RandomData15 nchar(10)
EXEC master..XP_RAND @RandomData15 OUTPUT
PRINT @RandomData15

