#ifndef __XPPARAMETERSOBJ_H__
#define __XPPARAMETERSOBJ_H__


/////////////////// Forward reference ////////////////////////
class CRunScriptStoredProcedure;


class ATL_NO_VTABLE CXPParametersObj : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CXPParametersObj, &CLSID_XPParameters>,
  public IDispatchImpl<IXPParameters, &IID_IXPParameters, &LIBID_XP_RUNSCRIPTLib>,
	public ISupportErrorInfoImpl<&IID_IXPParameters>
{
public:
//Constructors / Destructors
	CXPParametersObj();

DECLARE_NO_REGISTRY()
DECLARE_NOT_AGGREGATABLE(CXPParametersObj)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CXPParametersObj)
  COM_INTERFACE_ENTRY2(IUnknown, IDispatch)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(IXPParameters)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

//Member variables
  CRunScriptStoredProcedure* m_pESP;

//IXPParameters
  STDMETHOD(get_Count)(long* pVal);
  STDMETHOD(Item)(long nIndex, IXPParameter** ppParameter);
  STDMETHOD(get__NewEnum)(IUnknown** ppVal);
  STDMETHOD(FindIndex)(BSTR Name, long* pVal);
};

#endif //__XPPARAMETERSOBJ_H__
