// ServerReachable.cpp : Implementation of CServerReachable
#include "stdafx.h"
#include "XP_SERVERREACHABLE.h"
#include "ServerReachable.h"
#include "PingMachine.h"

/////////////////////////////////////////////////////////////////////////////
// CServerReachable

STDMETHODIMP CServerReachable::ServerReachable(BSTR Server, VARIANT_BOOL *pbReachable)
{
  USES_CONVERSION;

  //Validate our parameters
  if (pbReachable == NULL)
    return E_POINTER;

	//Convert the BSTR string to a LPCTSTR
  LPCTSTR pszServer = W2T(Server);

  //Call the function we have developed
  BOOL bReachable = IcmpServerReachable(pszServer);
  if (bReachable)
    *pbReachable = VARIANT_TRUE;
  else
    *pbReachable = VARIANT_FALSE;

	return S_OK;
}
