//ODS Defines we need for the script
var XPDT_SRVBIGVARCHAR = 0xA7;
var XPDT_SRVBIGCHAR = 0xAF;
var XPDT_SRVTEXT = 0x23;
var XPDT_SRVVARCHAR = 0x27;
var XPDT_SRVNTEXT = 0x63;
var XPDT_SRVNVARCHAR = 0xe7;
var XPDT_SRVINT4 = 0x38;
var XPDT_SRVDATETIME = 0x3d;

//Validate our parameter count
if (SQL.Parameters.Count != 4)
{
  SQL.SendInfoMsg("USAGE: XP_RUNSCRIPT_DISK JScript ThisScriptFilename @InputData @MD5Hash OUTPUT");
  SQL.Quit(false);
}

var InputData = SQL.Parameters(3);
if ((InputData.Type != XPDT_SRVBIGVARCHAR) && (InputData.Type != XPDT_SRVBIGCHAR) && (InputData.Type != XPDT_SRVTEXT) &&
    (InputData.Type != XPDT_SRVVARCHAR) && (InputData.Type != XPDT_SRVNTEXT) && (InputData.Type != XPDT_SRVNVARCHAR))
{
  SQL.SendInfoMsg("The third parameter to this XP which specifies the data to hash must be a string data type");
  SQL.Quit(false);
}

var MD5Hash = SQL.Parameters(4)
if ((MD5Hash.Type != XPDT_SRVBIGVARCHAR) && (MD5Hash.Type != XPDT_SRVBIGCHAR) && (MD5Hash.Type != XPDT_SRVTEXT) &&
    (MD5Hash.Type != XPDT_SRVVARCHAR) && (MD5Hash.Type != XPDT_SRVNTEXT) && (MD5Hash.Type != XPDT_SRVNVARCHAR))
{
  SQL.SendInfoMsg("The fourth parameter to this XP which will store the hash value must be a string data type");
  SQL.Quit(false);
}

if (!MD5Hash.IsOutput)
{
  SQL.SendInfoMsg("The fourth parameter to this XP which will store the hash value must be an OUTPUT parameter");
  SQL.Quit(false);
}


var MD5Obj = new ActiveXObject("Project1.MD5");
MD5Hash.SetOutputData(MD5Obj.DigestStrToHexStr(InputData));

MD5Obj = null;