--Sample code for testing XP_RUNSCRIPT with MD5.vbs

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_RUNSCRIPT_DISK') IS NOT NULL
	BEGIN
	DBCC XP_RUNSCRIPT(FREE)
	EXEC master..sp_dropextendedproc 'XP_RUNSCRIPT_DISK'
	END

if OBJECT_ID('XP_RUNSCRIPT_PARAMETER') IS NOT NULL
	BEGIN
	DBCC XP_RUNSCRIPT(FREE)
	EXEC master..sp_dropextendedproc 'XP_RUNSCRIPT_PARAMETER'
	END

if OBJECT_ID('XP_RUN_ACTIVEX') IS NOT NULL
	BEGIN
	DBCC XP_RUNSCRIPT(FREE)
	EXEC master..sp_dropextendedproc 'XP_RUN_ACTIVEX'
	END


--2) Copy XP_RUNSCRIPT.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'XP_RUNSCRIPT_DISK', 'XP_RUNSCRIPT.dll'
EXEC master..sp_addextendedproc 'XP_RUNSCRIPT_PARAMETER', 'XP_RUNSCRIPT.dll'
EXEC master..sp_addextendedproc 'XP_RUN_ACTIVEX', 'XP_RUNSCRIPT.dll'

--Testing the XP and the specified script
--Note you will need to change the 2nd parameter to point to where your copy of MD5.vbs is located
--You should also play around with changing the next parameter to see the hash change as you change the input data
DECLARE @MD5Hash varchar(32)
EXEC master..XP_RUNSCRIPT_DISK 'VBScript', 'F:\Dev\My Code\XP\SQL2005\MD5VB6\MD5.vbs', 'DataToHash', @MD5Hash OUTPUT
PRINT 'Hash as calculated using MD5.vbs is ' + @MD5Hash
