#include "stdafx.h"

#define XP_NOERROR	0 //return code - no error
#define XP_ERROR	  1 //return code - error

#ifdef __cplusplus
extern "C" {
#endif
RETCODE __declspec(dllexport) xp_helloworld(SRV_PROC* srvproc);
#ifdef __cplusplus
}
#endif

//Automatically link to the ODS lib file
#pragma comment(lib, "Opends60.lib")

//return ODS version
__declspec(dllexport) ULONG __GetXpVersion()
{
  return ODS_VERSION;
}

RETCODE __declspec(dllexport) xp_helloworld(SRV_PROC* srvproc)
{
  //send message
  srv_sendmsg(srvproc, SRV_MSG_INFO, 0, (DBTINYINT)0, (DBTINYINT)0, NULL, 0, 0, "Hello World!", SRV_NULLTERM);
  
  //return error code
  return XP_NOERROR;
}

