#ifndef __XPHMAC_H__
#define __XPHMAC_H__

///////////////////// Includes ////////////////////////////////////////////////

#include "..\xp++\xp_pp.h"



//////////////////// Classes /////////////////////////////////////////

class CHMACExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CHMACExtendedStoredProcedure() : m_HashAlgID(0), m_dwProviderType(0) {};

//Methods
  virtual BOOL Run();

  DECLARE_XP_PARAMETERS()

protected:
  ALG_ID m_HashAlgID;
  DWORD  m_dwProviderType;
};

class CMD2HMACExtendedStoredProcedure : public CHMACExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CMD2HMACExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CMD4HMACExtendedStoredProcedure : public CHMACExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CMD4HMACExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CMD5HMACExtendedStoredProcedure : public CHMACExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CMD5HMACExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CSHA1HMACExtendedStoredProcedure : public CHMACExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CSHA1HMACExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

#endif //__XPMAC_H__
