#ifndef __XPHASH_H__
#define __XPHASH_H__

///////////////////// Includes ////////////////////////////////////////////////

#include "..\xp++\xp_pp.h"



//////////////////// Classes /////////////////////////////////////////

class CCRC32HashExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  virtual BOOL Run();
  virtual void DisplayUsage();

  DECLARE_XP_PARAMETERS()

protected:
  ULONG Reflect(ULONG ref, char ch);
};

class CHashExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CHashExtendedStoredProcedure() : m_AlgID(0), m_dwProviderType(0) {};

//Methods
  virtual BOOL Run();

  DECLARE_XP_PARAMETERS()

protected:
  ALG_ID m_AlgID;
  DWORD  m_dwProviderType;
};

class CMD2HashExtendedStoredProcedure : public CHashExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CMD2HashExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CMD4HashExtendedStoredProcedure : public CHashExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CMD4HashExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CMD5HashExtendedStoredProcedure : public CHashExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CMD5HashExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CSHA1HashExtendedStoredProcedure : public CHashExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CSHA1HashExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CSHA256HashExtendedStoredProcedure : public CHashExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CSHA256HashExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CSHA384HashExtendedStoredProcedure : public CHashExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CSHA384HashExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

class CSHA512HashExtendedStoredProcedure : public CHashExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CSHA512HashExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage(); //Override used to display help about this XP
};

#endif //__XPHASH_H__
