#ifndef __XPSYMMETRICENCRYPTION_H__
#define __XPSYMMETRICENCRYPTION_H__

///////////////////// Includes ////////////////////////////////////////////////

#include "..\xp++\xp_pp.h"



//////////////////// Classes /////////////////////////////////////////

class CCryptoAPISymmetricEncryptionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CCryptoAPISymmetricEncryptionExtendedStoredProcedure() : m_AlgID(0), m_dwProviderType(0) { };

  virtual BOOL Run();

  DECLARE_XP_PARAMETERS()

protected:
  ALG_ID m_AlgID;
  DWORD m_dwProviderType;
};

class CRC2SymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CRC2SymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CRC4SymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CRC4SymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CRC5SymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CRC5SymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CDESSymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CDESSymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class C3DES112SymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  C3DES112SymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class C3DESSymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  C3DESSymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CDESXSymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CDESXSymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CAES128SymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CAES128SymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CAES192SymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CAES192SymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CAES256SymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CAES256SymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CSkipjackSymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CSkipjackSymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CCYLINK_MEKSymmetricEncryptionExtendedStoredProcedure : public CCryptoAPISymmetricEncryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CCYLINK_MEKSymmetricEncryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CCryptoAPISymmetricDecryptionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CCryptoAPISymmetricDecryptionExtendedStoredProcedure() : m_AlgID(0), m_dwProviderType(0) { };

  virtual BOOL Run();

  DECLARE_XP_PARAMETERS()

protected:
  ALG_ID m_AlgID;
  DWORD m_dwProviderType;
};

class CRC2SymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CRC2SymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CRC4SymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CRC4SymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CRC5SymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CRC5SymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CDESSymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CDESSymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class C3DES112SymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  C3DES112SymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class C3DESSymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  C3DESSymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CDESXSymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CDESXSymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CAES128SymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CAES128SymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CAES192SymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CAES192SymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CAES256SymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CAES256SymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CSkipjackSymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CSkipjackSymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CTEKSymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CTEKSymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CCYLINK_MEKSymmetricDecryptionExtendedStoredProcedure : public CCryptoAPISymmetricDecryptionExtendedStoredProcedure
{
public:
//Constructors / Destructors
  CCYLINK_MEKSymmetricDecryptionExtendedStoredProcedure();

//Methods
  virtual void DisplayUsage();
};

class CHelixSymmetricEncryptionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  DECLARE_XP_PARAMETERS()

//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
};

class CHelixSymmetricDecryptionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  DECLARE_XP_PARAMETERS()

//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
};

class CBlowfishSymmetricEncryptionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  DECLARE_XP_PARAMETERS()

//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
};

class CBlowfishSymmetricDecryptionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  DECLARE_XP_PARAMETERS()

//Methods
  virtual BOOL Run();
  virtual void DisplayUsage();
};

class CTEASymmetricEncryptionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  DECLARE_XP_PARAMETERS()

//Methods
  inline static void TEAEncode(long* v, long* k);
  virtual BOOL Run();
  virtual void DisplayUsage();
};

class CTEASymmetricDecryptionExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  DECLARE_XP_PARAMETERS()

//Methods
  inline static void TEADecode(long* v, long* k);
  virtual BOOL Run();
  virtual void DisplayUsage();
};

#endif //__XPSYMMETRICENCRYPTION_H__
