--Sample code for testing XP_CRYPTOAPI

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_TEA_DECRYPT') IS NOT NULL
	BEGIN
	DBCC XP_CRYPTOAPI(FREE)
	EXEC master..sp_dropextendedproc 'XP_TEA_DECRYPT'
	END

if OBJECT_ID('XP_TEA_ENCRYPT') IS NOT NULL
	BEGIN
	DBCC XP_CRYPTOAPI(FREE)
	EXEC master..sp_dropextendedproc 'XP_TEA_ENCRYPT'
	END

--2) Copy XP_CRYPTOAPI.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'XP_TEA_DECRYPT', 'XP_CRYPTOAPI.dll'
EXEC master..sp_addextendedproc 'XP_TEA_ENCRYPT', 'XP_CRYPTOAPI.dll'

--Testing the XP

DECLARE @test varbinary(80), @pwd varbinary(16), @encrypted varbinary(80), @decrypted varbinary(80)
SET @test=cast('top secret message 007' as varbinary) SET @pwd=cast('aaaaaaaaaaaaaaaa' as varbinary)
EXEC master..XP_TEA_ENCRYPT @test, @pwd, @encrypted OUT
PRINT @encrypted
EXEC master..XP_TEA_DECRYPT @encrypted, @pwd, @decrypted OUT
PRINT cast(@decrypted as varchar)

print dbo.DEC_TEA(@encrypted, @pwd)
print dbo.DEC_TEA2(@encrypted, @pwd)
