--Sample code for testing XP_HTMLENCODE22

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_HTMLENCODE2') IS NOT NULL
	BEGIN
	DBCC XP_HTMLENCODE2(FREE)
	EXEC sp_dropextendedproc 'XP_HTMLENCODE2'
	END

--2) Copy XP_HTMLENCODE2.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC sp_addextendedproc 'XP_HTMLENCODE2', 'XP_HTMLENCODE2.dll'

--Testing the XP
EXEC master..XP_HTMLENCODE2

DECLARE @Test varchar(8000), @encoded varchar(8000)
SET @Test='<script>alert("a");</script> ascii'
EXEC master..XP_HTMLENCODE2 @Test, @encoded OUT
PRINT @encoded

DECLARE @Test2 nvarchar(4000), @encoded2 nvarchar(4000)
SET @Test2 = '<script>alert("a");</script> unicode'
EXEC master..XP_HTMLENCODE2 @Test2, @encoded2 OUT
PRINT @encoded2

SET @Test2= REPLICATE ('<',1000)
SET @Test2= SUBSTRING (@Test2, 0, 1000)
EXEC master..XP_HTMLENCODE2 @Test2, @encoded2 OUT
PRINT @encoded2
