--Sample code for testing xp_ini

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_INI_WRITESTRING') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_WRITESTRING'
	END
if OBJECT_ID('XP_INI_WRITEINTEGER') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_WRITEINTEGER'
	END
if OBJECT_ID('XP_INI_READINTEGER') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_READINTEGER'
	END
if OBJECT_ID('XP_INI_READSTRING') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_READSTRING'
	END
if OBJECT_ID('XP_INI_GETSECTIONS') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_GETSECTIONS'
	END
if OBJECT_ID('XP_INI_DELETESECTION') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_DELETESECTION'
	END
if OBJECT_ID('XP_INI_DELETEKEY') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_DELETEKEY'
	END
if OBJECT_ID('XP_INI_GETKEYS') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_GETKEYS'
	END
if OBJECT_ID('XP_INI_READSECTION') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_READSECTION'
	END
if OBJECT_ID('XP_INI_WRITE') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_WRITE'
	END
if OBJECT_ID('XP_INI_READ') IS NOT NULL
	BEGIN
	DBCC XP_INI(FREE)
	EXEC master..sp_dropextendedproc 'XP_INI_READ'
	END

--2) Copy XP_INI.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'XP_INI_WRITESTRING', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_WRITEINTEGER', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_READINTEGER', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_READSTRING', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_GETSECTIONS', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_DELETESECTION', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_DELETEKEY', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_GETKEYS', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_READSECTION', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_WRITE', 'XP_INI.dll'
EXEC master..sp_addextendedproc 'XP_INI_READ', 'XP_INI.dll'

--Testing the XP

DECLARE @StringKey varchar(100)
Select @StringKey = 'StringKey'
DECLARE @Section varchar(100)
Select @Section = 'Section'
DECLARE @IniFile varchar(100)
SELECT @IniFile = 'xp_ini.ini'
DECLARE @StringValue varchar(50)
SELECT @StringValue = 'StringValue'
EXEC master..XP_INI_WRITESTRING @IniFile, @Section, @StringKey, @StringValue
