#ifndef __XP_NTLOGPROCS_H__

///////////////////// Includes ////////////////////////////////////////////////

#include "..\xp++\xp_pp.h"



//////////////////// Classes /////////////////////////////////////////

class CNTLogExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  BOOL Report(LPCTSTR pszSourceName, LPCTSTR pszMessage, WORD wType, DWORD dwEventID);
};

class CNTLogErrorExtendedStoredProcedure : public CNTLogExtendedStoredProcedure
{
public:
  virtual void DisplayUsage(); //Override used to display help about this XP
  virtual BOOL Run();          //Override to do the real work of this XP

  DECLARE_XP_PARAMETERS()
};

class CNTLogWarningExtendedStoredProcedure : public CNTLogExtendedStoredProcedure
{
public:
  virtual void DisplayUsage(); //Override used to display help about this XP
  virtual BOOL Run();          //Override to do the real work of this XP

  DECLARE_XP_PARAMETERS()
};

class CNTLogInformationalExtendedStoredProcedure : public CNTLogExtendedStoredProcedure
{
public:
  virtual void DisplayUsage(); //Override used to display help about this XP
  virtual BOOL Run();          //Override to do the real work of this XP

  DECLARE_XP_PARAMETERS()
};

class CNTLogInstallExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  virtual void DisplayUsage(); //Override used to display help about this XP
  virtual BOOL Run();          //Override to do the real work of this XP

  DECLARE_XP_PARAMETERS()
};

class CNTLogUninstallExtendedStoredProcedure : public CExtendedStoredProcedure
{
public:
  virtual void DisplayUsage(); //Override used to display help about this XP
  virtual BOOL Run();          //Override to do the real work of this XP

  DECLARE_XP_PARAMETERS()
};

#endif //__XP_NTLOGPROCS_H__
