--Sample code for testing XP_RUNSCRIPT and the EnumFiles.js script file

--1) Is this XP going to replace an older version?
--	If so, then drop the older version's registration
--	Otherwise the next statements might be commented
if OBJECT_ID('XP_RUNSCRIPT_DISK') IS NOT NULL
	BEGIN
	DBCC XP_RUNSCRIPT(FREE)
	EXEC master..sp_dropextendedproc 'XP_RUNSCRIPT_DISK'
	END

if OBJECT_ID('XP_RUNSCRIPT_PARAMETER') IS NOT NULL
	BEGIN
	DBCC XP_RUNSCRIPT(FREE)
	EXEC master..sp_dropextendedproc 'XP_RUNSCRIPT_PARAMETER'
	END

if OBJECT_ID('XP_RUN_ACTIVEX') IS NOT NULL
	BEGIN
	DBCC XP_RUNSCRIPT(FREE)
	EXEC master..sp_dropextendedproc 'XP_RUN_ACTIVEX'
	END


--2) Copy XP_RUNSCRIPT.dll to SQL Server's Binn folder
-- Usually C:\Program Files\Microsoft SQL Server\MSSQL\Binn

--3) Register XP
EXEC master..sp_addextendedproc 'XP_RUNSCRIPT_DISK', 'XP_RUNSCRIPT.dll'
EXEC master..sp_addextendedproc 'XP_RUNSCRIPT_PARAMETER', 'XP_RUNSCRIPT.dll'
EXEC master..sp_addextendedproc 'XP_RUN_ACTIVEX', 'XP_RUNSCRIPT.dll'

--Testing the XP and the specified script
--Note you will need to change the 2nd parameter to point to where your copy of EnumFiles.js is located
--You should also play around with changing the final parameter to point to a directory which you want to
--get a recordset for
EXEC master..XP_RUNSCRIPT_DISK 'JScript', 'Z:\XP_RUNSCRIPT\Test\EnumFiles.js', 'c:\'
