// ServerReachable.h : Declaration of the CServerReachable

#ifndef __SERVERREACHABLE_H_
#define __SERVERREACHABLE_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CServerReachable
class ATL_NO_VTABLE CServerReachable : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CServerReachable, &CLSID_ServerReachable>,
	public IDispatchImpl<IServerReachable, &IID_IServerReachable, &LIBID_XP_SERVERREACHABLELib>
{
public:
	CServerReachable()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_SERVERREACHABLE)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CServerReachable)
	COM_INTERFACE_ENTRY(IServerReachable)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IServerReachable
public:
	STDMETHOD(ServerReachable)(/*[in]*/ BSTR Server, /*[out, retval]*/ VARIANT_BOOL* pbReachable);
};

#endif //__SERVERREACHABLE_H_
